Skip to main content
POST
/
conversations
/
{conversation_id}
/
name
重命名会话
curl --request POST \
  --url https://{api_base_url}/conversations/{conversation_id}/name \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "iPhone Specs Chat",
  "user": "abc-123"
}
'
import requests

url = "https://{api_base_url}/conversations/{conversation_id}/name"

payload = {
"name": "iPhone Specs Chat",
"user": "abc-123"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: 'iPhone Specs Chat', user: 'abc-123'})
};

fetch('https://{api_base_url}/conversations/{conversation_id}/name', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "45701982-8118-4bc5-8e9b-64562b4555f2",
  "name": "iPhone Specs Chat",
  "inputs": {
    "city": "San Francisco"
  },
  "status": "normal",
  "introduction": "Welcome! How can I help you today?",
  "created_at": 1705407629,
  "updated_at": 1705411229
}
{
"status": 400,
"code": "not_chat_app",
"message": "Please check if your app mode matches the right API route."
}
{
"status": 404,
"code": "not_found",
"message": "Conversation Not Exists."
}

Authorizations

Authorization
string
header
required

API Key 认证。对于所有 API 请求,请在 Authorization HTTP 头中包含您的 API Key,并加上 Bearer 前缀。示例:Authorization: Bearer {API_KEY}强烈建议将 API Key 存储在服务端,不要在客户端共享或存储,以避免 API Key 泄漏导致严重后果。缺少或无效的 API Key 会返回 HTTP 401,错误码为 unauthorized

Path Parameters

conversation_id
string
required

会话 ID。

Body

application/json

重命名会话的请求体。

name
string

会话名称。当 auto_generatefalse 时必填。

auto_generate
boolean
default:false

自动生成会话名称。当为 true 时,name 字段将被忽略。

user
string

用户标识符。

Response

会话重命名成功。

id
string<uuid>

会话 ID。

name
string

会话名称。

inputs
object

会话的输入变量。

status
string

会话状态。活跃会话为 normal

introduction
string

会话介绍。

created_at
integer<int64>

创建时间戳。

updated_at
integer<int64>

最后更新时间戳。

Last modified on July 9, 2026